#!/bin/sh
#
# date: 2020-10-29, qin.chenglin@panabit.com, QQ:9856306
#
# before use, you must have the following variables of predefined
# 1: MYROOT=${RAMDISK}/app
#

CURL=/usr/bin/curl

mycurl()
{
	local ver=""
	local FETCH=""
	local RL_DOWN_CURL=""
	local OS=""
	local msgerr=""

	if [ ! -f ${CURL} ]; then
		OS="`uname -s`"
		if [ "${OS}" = "FreeBSD" ]; then
			ver=`uname -r | cut -d'-' -f1`
			FETCH="`which fetch`"
			if [ ! -f ${FETCH} ]; then
				echo "fail: not found fetch"
				return 1
			fi
			URL_DOWN_CURL="http://115.29.138.209/uploads/app/res.php?n=curl&ver="
			${FETCH} -T 35 -o ${MYROOT}/curl.tar.gz "${URL_DOWN_CURL}${ver}&os=${OS}"
			if [ "$?" != "0" ]; then
					${FETCH} -T 35 -o ${MYROOT}/curl.tar.gz "${URL_DOWN_CURL}${ver}&os=${OS}"
					if [ "$?" != "0" ]; then
							echo "fail: down curl bin."
							return 1
					fi
			fi
			msgerr=`awk '$1 ~/^ERR:$/{print $0;}' ${MYROOT}/curl.tar.gz`
			if [ "${msgerr}" != "" ]; then
					rm -f ${MYROOT}/curl.tar.gz
					echo "fail: ${msgerr}"
					return 1
			fi
			tar zxf ${MYROOT}/curl.tar.gz -C /
			rm -rf ${MYROOT}/curl.tar.gz
		else
			echo "fail: not found curl"
			return 1
		fi
	fi

	return 0
}

mycurl
